Skip to main content
DELETE
/
registry_connections
/
{id}
Delete registry credential
curl --request DELETE \
  --url https://api.akua.dev/v1/registry_connections/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.akua.dev/v1/registry_connections/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.akua.dev/v1/registry_connections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": false,
  "errors": [
    {
      "code": 7002,
      "message": "Resource not found",
      "path": [
        "body",
        "name"
      ],
      "metadata": {}
    }
  ],
  "result": {}
}
{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}
{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Headers

akua-context
string

Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens — a workspace-owned token implies its workspace.

Required string length: 1 - 53
Example:

"ws_j572abc123def456"

Path Parameters

id
string
required

Registry connection ID. Prefixed form rcon_<id> is canonical.

Required string length: 1 - 55
Example:

"rcon_j572abc123def456"

Response

Credential deleted